<?php

/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusions.php
| Autor: Adam (Perelka2005)
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."panel_uzytkownika/infusion_db.php";

if (file_exists(INFUSIONS."panel_uzytkownika/locale/".$settings['locale'].".php")) {
include INFUSIONS."panel_uzytkownika/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."panel_uzytkownika/locale/Polish.php";
}

$inf_title = "".$locale['inf_title_user_info_panel']."";
$inf_description = "".$locale['inf_description_user_info_panel']."";
$inf_version = "1.0";
$inf_developer = "Adam (Perelka2005)";
$inf_email = "adamstalica@vp.pl";
$inf_weburl = "".$locale['inf_weburl_user_info_panel']."";

$inf_folder = "panel_uzytkownika";

$inf_newtable[1] = DB_PANEL_UZYTKOWNIKA_SETINGS." (
ren_nowa_wiadomosc CHAR(9) DEFAULT 'on' NOT NULL,
ren_zapelnienie_skrzynki CHAR(9) DEFAULT 'off' NOT NULL,
ren_avatar CHAR(9) DEFAULT 'on' NOT NULL,
ren_nazwa_uzytkownika CHAR(9) DEFAULT 'on' NOT NULL,
ren_nawigacja CHAR(9) DEFAULT 'off' NOT NULL,
ren_osobiste_menu CHAR(9) DEFAULT 'on' NOT NULL,
ren_prywatne_wiadomosci CHAR(9) DEFAULT 'on' NOT NULL,
ren_forum CHAR(9) DEFAULT 'on' NOT NULL,
ren_urodziny CHAR(9) DEFAULT 'on' NOT NULL,
ren_panel_administratora CHAR(9) DEFAULT 'on' NOT NULL,
ren_panel_publikacji CHAR(9) DEFAULT 'on' NOT NULL,
ren_dodaj_newsa CHAR(9) DEFAULT 'on' NOT NULL,
ren_dodaj_artykul CHAR(9) DEFAULT 'on' NOT NULL,
ren_dodaj_zdjecie CHAR(9) DEFAULT 'on' NOT NULL,
ren_dodaj_link CHAR(9) DEFAULT 'on' NOT NULL,
ren_dodaj_wydarzenie CHAR(9) DEFAULT 'on' NOT NULL,
ren_dodaj_raport_bledu CHAR(9) DEFAULT 'on' NOT NULL,

ren_slot_1 VARCHAR(10) DEFAULT 'nowa_wiadomosc' NOT NULL,
ren_slot_2 VARCHAR(10) DEFAULT 'zapelnienie_skrzynki' NOT NULL,
ren_slot_3 VARCHAR(10) DEFAULT 'avatar' NOT NULL,
ren_slot_4 VARCHAR(10) DEFAULT 'nazwa_uzytkownika' NOT NULL,
ren_slot_5 VARCHAR(10) DEFAULT 'nawigacja' NOT NULL,
ren_slot_6 VARCHAR(10) DEFAULT 'osobiste_menu' NOT NULL,
ren_slot_7 VARCHAR(10) DEFAULT 'panel_administratora' NOT NULL,
ren_slot_8 VARCHAR(10) DEFAULT 'panel_publikacji' NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_PANEL_UZYTKOWNIKA_SETINGS." (ren_nowa_wiadomosc, ren_zapelnienie_skrzynki, ren_avatar, ren_nazwa_uzytkownika, ren_nawigacja, ren_osobiste_menu, ren_prywatne_wiadomosci, ren_forum, ren_urodziny, ren_panel_administratora, ren_panel_publikacji, ren_dodaj_newsa, ren_dodaj_artykul, ren_dodaj_zdjecie, ren_dodaj_link, ren_dodaj_wydarzenie, ren_dodaj_raport_bledu, ren_slot_1, ren_slot_2, ren_slot_3, ren_slot_4, ren_slot_5, ren_slot_6, ren_slot_7, ren_slot_8) VALUES('on', 'off', 'on', 'on', 'off', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on','nowa_wiadomosc', 'zapelnienie_skrzynki', 'avatar', 'nazwa_uzytkownika', 'nawigacja', 'osobiste_menu', 'panel_administratora', 'panel_publikacji')";

$inf_droptable[1] = DB_PANEL_UZYTKOWNIKA_SETINGS;

$inf_adminpanel[1] = array(
	"title" => "".$locale['title_user_info_panel']."",
	"image" => "infusions.gif",
	"panel" => "panel_uzytkownika_admin.php",
	"rights" => "PPTA"
);

?>
